Name:          libquicktime
Version:       1.2.4
Release:       3mamba
Summary:       Library for reading and writing quicktime files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libquicktime.sourceforge.net/
Source:        http://downloads.sourceforge.net/libquicktime/libquicktime-%{version}.tar.gz
Patch2:        libquicktime-1.2.4-CVE-2016-2399.patch
Patch3:        libquicktime-1.2.4-CVE-2017-9122.patch
Patch4:        libquicktime-1.2.4-faad2.patch
Patch5:        libquicktime-1.2.4-ffmpeg-codecs.patch
Patch6:        libquicktime-1.2.4-ffmpeg2.patch
Patch7:        libquicktime-1.2.4-ffmpeg29.patch
Patch8:        libquicktime-1.2.4-ffmpeg4.patch
Patch9:        libquicktime-1.2.4-libavutil.patch
Patch10:        libquicktime-1.2.4-ffmpeg5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXext-devel
BuildRequires: libXt-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libcairo-devel
BuildRequires: libfaac-devel
BuildRequires: libfaad2-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-devel
BuildRequires: liblame-devel
BuildRequires: liborc-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libschroedinger-devel
BuildRequires: libsndio-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libvorbis-devel
BuildRequires: libx264-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libavc1394-devel >= 0.4.1
BuildRequires: pkgconfig >= 0.15.0
BuildRequires: libGLU-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libquicktime is a library for reading and writing QuickTime files on UNIX systems.
Video CODECs supported by this library are OpenDivX, MJPA, JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.
Supported audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.
Libquicktime is based on the quicktime4linux library.
Libquicktime add features such as a GNU build tools-based build process and dynamically loadable CODECs.

%package devel
Summary:       Static libraries and headers for %{libname}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libquicktime is a library for reading and writing QuickTime files on UNIX systems.
This package contains static libraries and header files needed for development.

%package tools
Summary:	Useful tools to operate on QuickTime files
Group:		Applications/Multimedia
Requires:	%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Useful tools to operate on QuickTime files.

%debug_package

%prep
%setup -q
%patch 2 -p1
%patch 3 -p1
%patch 4 -p1
%patch 5 -p1
%patch 6 -p1
%patch 7 -p1
%patch 8 -p1
%patch 9 -p1
%patch 10 -p1 -b .ffmpeg5

autoreconf -f -i

%build
%configure \
   --enable-static \
   --with-cpuflags="%{optflags}" \
   --with-pic \
   --enable-gpl \
   LIBSWSCALE_CFLAGS="-I%{_includedir}/ffmpeg"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

# Create a compatibility symlink
ln -s lqt %{buildroot}%{_includedir}/quicktime

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%{_libdir}/libquicktime.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lqt_audiocodec.so
%{_libdir}/%{name}/lqt_faac.so
#%{_libdir}/%{name}/lqt_faad2.so
%{_libdir}/%{name}/lqt_ffmpeg.so
%{_libdir}/%{name}/lqt_lame.so
%{_libdir}/%{name}/lqt_mjpeg.so
%{_libdir}/%{name}/lqt_png.so
%{_libdir}/%{name}/lqt_rtjpeg.so
%{_libdir}/%{name}/lqt_schroedinger.so
%{_libdir}/%{name}/lqt_videocodec.so
%{_libdir}/%{name}/lqt_vorbis.so
%{_libdir}/%{name}/lqt_x264.so
%doc AUTHORS COPYING

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/%{name}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/doc/libquicktime/apiref/*
%doc ChangeLog NEWS README TODO

%files tools
%defattr(-, root, root)
%{_bindir}/%{name}_config
%{_bindir}/lqtplay
%{_bindir}/lqtremux
%{_bindir}/lqt_transcode
%{_bindir}/qt*
%{_mandir}/man1/*

%changelog
* Mon May 06 2024 Automatic Build System <autodist@openmamba.org> 1.2.4-3mamba
- rebuilt to remove .la files
- added ffmpeg5 patch

* Sat Dec 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-2mamba
- rebuilt with debug package and patches from Arch linux

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Fri Dec 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-2mamba
- rebuilt with ffmpeg 0.8.7

* Fri Aug 05 2011 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Mon Dec 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Mon Mar 08 2010 Automatic Build System <autodist@mambasoft.it> 1.1.3-5mamba
- automatic rebuild by autodist

* Wed Nov 25 2009 Automatic Build System <autodist@mambasoft.it> 1.1.3-4mamba
- automatic rebuild by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 1.1.3-3mamba
- automatic rebuild by autodist

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 1.1.3-2mamba
- automatic rebuild by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Fri Jan 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- automatic rebuild by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- automatic update by autodist

* Mon Jun 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- rebuilt against recent libdc1394

* Thu May 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2
- changed package maintainer

* Sun May 13 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.0-1mamba
- update to 1.0.0
- added missing build requirements

* Wed Oct 25 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.9.10-1qilnx
- update to version 0.9.10 by autospec

* Mon Jul 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.9.9-1qilnx
- update to version 0.9.9 by autospec

* Wed Jun 07 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.8-1qilnx
- update to version 0.9.8 by autospec

* Tue Aug 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.3-3qilnx
- rebuilt

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.3-2qilnx
- specfile modified to match QiLinux standards
- added missing build require for liblame devel library

* Fri Sep 10 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.9.3-1qilnx
- first build
